| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Typedefs | Functions | Variables
tif_acorn.c File Reference
`#include "tiffiop.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Typedefs
typedef unsigned int | bits
typedef unsigned char | byte
typedef _kernel_oserror | os_error
typedef byte | os_f

## Functions
os_error * | xosgbpb_write (os_f file, byte *data, int size, int *unwritten)
int | osgbpb_write (os_f file, byte *data, int size)
os_error * | xosgbpb_read (os_f file, byte *buffer, int size, int *unread)
int | osgbpb_read (os_f file, byte *buffer, int size)
os_error * | xosfind_openin (bits flags, char *file_name, char *path, os_f *file)
os_f | osfind_openin (bits flags, char *file_name, char *path)
os_error * | xosfind_openout (bits flags, char *file_name, char *path, os_f *file)
os_f | osfind_openout (bits flags, char *file_name, char *path)
os_error * | xosfind_openup (bits flags, char *file_name, char *path, os_f *file)
os_f | osfind_openup (bits flags, char *file_name, char *path)
os_error * | xosfind_close (os_f file)
void | osfind_close (os_f file)
os_error * | xosargs_read_ptr (os_f file, int *ptr)
int | osargs_read_ptr (os_f file)
os_error * | xosargs_set_ptr (os_f file, int ptr)
void | osargs_set_ptr (os_f file, int ptr)
os_error * | xosargs_read_ext (os_f file, int *ext)
int | osargs_read_ext (os_f file)
int | open (const char *name, int flags, int mode)
int | close (int fd)
int | write (int fd, const char *buf, int nbytes)
int | read (int fd, char *buf, int nbytes)
off_t | lseek (int fd, off_t offset, int whence)
TIFF * | TIFFFdOpen (int fd, const char *name, const char *mode)
TIFF * | TIFFOpen (const char *name, const char *mode)
void * | _TIFFmalloc (tsize_t s)
void | _TIFFfree (tdata_t p)
void * | _TIFFrealloc (tdata_t p, tsize_t s)
void | _TIFFmemset (tdata_t p, int v, tsize_t c)
void | _TIFFmemcpy (tdata_t d, const tdata_t s, tsize_t c)
int | _TIFFmemcmp (const tdata_t p1, const tdata_t p2, tsize_t c)

## Variables
TIFFErrorHandler | _TIFFwarningHandler = acornWarningHandler
TIFFErrorHandler | _TIFFerrorHandler = acornErrorHandler

## Typedef Documentation

typedef unsigned int bits

Definition at line 68 of file tif_acorn.c.

typedef unsigned char byte

Definition at line 69 of file tif_acorn.c.

typedef _kernel_oserror os_error

Definition at line 84 of file tif_acorn.c.

typedef byte os_f

Definition at line 85 of file tif_acorn.c.

## Function Documentation

void _TIFFfree | ( | tdata_t | p | ) |

Definition at line 467 of file tif_acorn.c.

void* _TIFFmalloc | ( | tsize_t | s | ) |

Definition at line 461 of file tif_acorn.c.

int _TIFFmemcmp | ( | const tdata_t | p1,
|  | const tdata_t | p2,
|  | tsize_t | c
| ) |  |

Definition at line 491 of file tif_acorn.c.

void _TIFFmemcpy | ( | tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c
| ) |  |

Definition at line 485 of file tif_acorn.c.

void _TIFFmemset | ( | tdata_t | p,
|  | int | v,
|  | tsize_t | c
| ) |  |

Definition at line 479 of file tif_acorn.c.

void* _TIFFrealloc | ( | tdata_t | p,
|  | tsize_t | s
| ) |  |

Definition at line 473 of file tif_acorn.c.

int close | ( | int | fd | ) |

Definition at line 320 of file tif_acorn.c.

off_t lseek | ( | int | fd,
|  | off_t | offset,
|  | int | whence
| ) |  |

Definition at line 337 of file tif_acorn.c.

int open | ( | const char * | name,
|  | int | flags,
|  | int | mode
| ) |  |

Definition at line 285 of file tif_acorn.c.

int osargs_read_ext | ( | os_f | file | ) |

int osargs_read_ptr | ( | os_f | file | ) |

void osargs_set_ptr | ( | os_f | file,
|  | int | ptr
| ) |  |

void osfind_close | ( | os_f | file | ) |

os_f osfind_openin | ( | bits | flags,
|  | char * | file_name,
|  | char * | path
| ) |  |

os_f osfind_openout | ( | bits | flags,
|  | char * | file_name,
|  | char * | path
| ) |  |

os_f osfind_openup | ( | bits | flags,
|  | char * | file_name,
|  | char * | path
| ) |  |

int osgbpb_read | ( | os_f | file,
|  | byte * | buffer,
|  | int | size
| ) |  |

int osgbpb_write | ( | os_f | file,
|  | byte * | data,
|  | int | size
| ) |  |

int read | ( | int | fd,
|  | char * | buf,
|  | int | nbytes
| ) |  |

Definition at line 331 of file tif_acorn.c.

TIFF* TIFFFdOpen | ( | int | fd,
|  | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 418 of file tif_acorn.c.

TIFF* TIFFOpen | ( | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 438 of file tif_acorn.c.

int write | ( | int | fd,
|  | const char * | buf,
|  | int | nbytes
| ) |  |

Definition at line 325 of file tif_acorn.c.

os_error* xosargs_read_ext | ( | os_f | file,
|  | int * | ext
| ) |  |

os_error* xosargs_read_ptr | ( | os_f | file,
|  | int * | ptr
| ) |  |

os_error* xosargs_set_ptr | ( | os_f | file,
|  | int | ptr
| ) |  |

os_error* xosfind_close | ( | os_f | file | ) |

os_error* xosfind_openin | ( | bits | flags,
|  | char * | file_name,
|  | char * | path,
|  | os_f * | file
| ) |  |

os_error* xosfind_openout | ( | bits | flags,
|  | char * | file_name,
|  | char * | path,
|  | os_f * | file
| ) |  |

os_error* xosfind_openup | ( | bits | flags,
|  | char * | file_name,
|  | char * | path,
|  | os_f * | file
| ) |  |

os_error* xosgbpb_read | ( | os_f | file,
|  | byte * | buffer,
|  | int | size,
|  | int * | unread
| ) |  |

os_error* xosgbpb_write | ( | os_f | file,
|  | byte * | data,
|  | int | size,
|  | int * | unwritten
| ) |  |

## Variable Documentation

TIFFErrorHandler _TIFFerrorHandler = acornErrorHandler

Definition at line 519 of file tif_acorn.c.

TIFFErrorHandler _TIFFwarningHandler = acornWarningHandler

Definition at line 507 of file tif_acorn.c.